> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# erpactortype

## "erpactortype" MDO List

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ErpActorTypeProvider">ErpActorTypeProvider</see> class.
The name of the MDO list is 'erpactortype'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/erpactortype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("erpactortype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "erpactortypeheadings"
* "erpactortypeheadingswithallitem"
* "erpactortypeheadingswithallitemwithnoselection"
* "erpactortypeheadingswithnoselection"
* "erpactortypewithallitem"
* "erpactortypewithallitemwithnoselection"
* "erpactortypewithnoselection"


## Related topics

- [Enum ErpActorType](/en/automation/crmscript/reference/CRMScript.NetServer.ErpActorType.md)
- [Enum values for ErpActorType](/en/database/tables/enums/erpactortype.md)
- [SuperOffice.WebApi.Data.ErpActorType](/en/api/reference/webapi/SuperOffice.WebApi.Data.ErpActorType.md)
- [SuperOffice.WebApi.Data.ErpConnectionData](/en/api/reference/webapi/SuperOffice.WebApi.Data.ErpConnectionData.md)
- [ErpActor](/en/api/plugins/erp-connectors/api/erp-actor-carrier.md)
- [SuperOffice.WebApi.Agents.IImportAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IImportAgent.md)
